Subject: Re: Covering DT build in -next merge

From: Stephen Rothwell <[email-masked]>
Date: Wed, 18 Oct 2023 17:11:01 +1100

Hi Mark,

On Tue, 17 Oct 2023 21:16:21 +0100 Mark Brown <[email-masked]> wrote:
>
> I was wondering if it might be possible to add DTB builds for relevant
> architecutres to the -next merge checks (everything except x86 AFAIK)?
> Some current experience suggested to me that it might be helpful for
> bisecting problems found in testing, breakage building the DTBs causes
> hassle since where they're used in tree DTs are required to boot the
> kernel.
> 
> At least for arm and arm64 the DT build is quick enough to be negligable
> in the context of building the kernel itself so hopefully it shouldn't
> add too much load to do this - it's just adding a 'make dtbs' (with
> appropriate cross build options) to the kernel build.

Ummm, arm builds (and many others) select CONFIG_OF_EARLY_FLATTREE (in
the case of arm, only if CONFIG_OF is set), and the top level Makefile
does this:

ifneq ($(wildcard $(srctree)/arch/$(SRCARCH)/boot/dts/),)
dtstree := arch/$(SRCARCH)/boot/dts
endif

ifneq ($(dtstree),)
	.
	.
	.
ifdef CONFIG_OF_EARLY_FLATTREE
all: dtbs
endif

endif

So won't this be the same as doing a separate "make dtbs"?
-- 
Cheers,
Stephen Rothwell